<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Clothing/BurlapSackCover.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/db1/_burlap_sack_cover_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">BurlapSackCover.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/db1/_burlap_sack_cover_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d2/d89/class_clothing_base.html">    1</a></span><span class="keyword">class </span>BurlapSackCover <span class="keyword">extends</span> <a class="code hl_class" href="../../d2/d89/class_clothing_base.html">ClothingBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d2/d89/class_clothing_base.html#a5605b827364c71b7fb4607735e3d8f13">    3</a></span>    <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> <a class="code hl_variable" href="../../d2/d89/class_clothing_base.html#a5605b827364c71b7fb4607735e3d8f13">m_Player</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d2/d89/class_clothing_base.html#ab1a649871c9f5952818e9d794a253853">    5</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d89/class_clothing_base.html#ab1a649871c9f5952818e9d794a253853">~BurlapSackCover</a>()</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a> )</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>            <a class="code hl_function" href="../../d2/d89/class_clothing_base.html#a276388ed431f64eb64b47d9c3141577c">OnRemovedFromHead</a>(<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        }</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d2/d89/class_clothing_base.html#a304a909c4579f77069673dedeb93d59e">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d89/class_clothing_base.html#a304a909c4579f77069673dedeb93d59e">OnWasAttached</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent, <span class="keywordtype">int</span> slot_id)</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        super.OnWasAttached(parent, slot_id);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>, parent.GetHierarchyRootPlayer());</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="comment">//bool selected = player.IsPlayerSelected();//this is 0 upon player&#39;s connection to server</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">if</span> ( (!<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer()) &amp;&amp; <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a> &amp;&amp; <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.IsControlledPlayer() &amp;&amp; slot_id == <a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.HEADGEAR )</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            <span class="comment">//GetGame().GetWorld().SetAperture(100000);</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            PPERequesterBank.GetRequester(PPERequester_BurlapSackEffects).Start();</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.SetInventorySoftLock(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.SetMasterAttenuation(<span class="stringliteral">&quot;BurlapSackAttenuation&quot;</span>);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager().IsMenuOpen(<a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#gab1dbc0e819839e5664c9fd8bd8b31deb">MENU_INVENTORY</a>) )</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>                <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a9eec3197925c4469ac05fcc46221b4f7">FindMenu</a>(<a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#gab1dbc0e819839e5664c9fd8bd8b31deb">MENU_INVENTORY</a>).Close();</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#abfd6a8f8740d34fcf8434e26e18dfe6c">SetInvisibleRecursive</a>(<span class="keyword">true</span>,<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>,{<a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.MASK,<a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.EYEWEAR});</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d2/d89/class_clothing_base.html#a462a2cd43420b63d22e545da57d10fb9">   35</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d89/class_clothing_base.html#a462a2cd43420b63d22e545da57d10fb9">OnWasDetached</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent, <span class="keywordtype">int</span> slot_id)</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        super.OnWasDetached(parent, slot_id);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(player, parent.GetHierarchyRootPlayer());</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            <span class="comment">//MiscGameplayFunctions.TurnItemIntoItem(this, &quot;BurlapSack&quot;, player);</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d2/d89/class_clothing_base.html#a7652d1025700e9cc2ba8235dd3df7fdb">   47</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/d89/class_clothing_base.html#a7652d1025700e9cc2ba8235dd3df7fdb">CanPutInCargo</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent )</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">if</span>( !super.CanPutInCargo(parent) ) {<span class="keywordflow">return</span> <span class="keyword">false</span>;}</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">if</span> ( parent != <span class="keyword">this</span> )</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d2/d89/class_clothing_base.html#a8269df7474eac9543d1e59c246582b35">   57</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/d89/class_clothing_base.html#a8269df7474eac9543d1e59c246582b35">CanDetachAttachment</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent )</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(player, <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#af5cb4d09ae9787dc1a382646589bdec7">GetHierarchyRootPlayer</a>());</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>; <span class="comment">// (player &amp;&amp; !player.IsAlive());</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d2/d89/class_clothing_base.html#a276388ed431f64eb64b47d9c3141577c">   64</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d89/class_clothing_base.html#a276388ed431f64eb64b47d9c3141577c">OnRemovedFromHead</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordflow">if</span> ( player.IsControlledPlayer() )</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            PPERequesterBank.GetRequester(PPERequester_BurlapSackEffects).Stop();</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            player.SetInventorySoftLock(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            player.SetMasterAttenuation(<span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#abfd6a8f8740d34fcf8434e26e18dfe6c">SetInvisibleRecursive</a>(<span class="keyword">false</span>,player,{<a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.MASK,<a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.EYEWEAR});</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>}</div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_abfd6a8f8740d34fcf8434e26e18dfe6c"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#abfd6a8f8740d34fcf8434e26e18dfe6c">SetInvisibleRecursive</a></div><div class="ttdeci">void SetInvisibleRecursive(bool invisible, EntityAI parent=null, array&lt; int &gt; attachments=null)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l02633">EntityAI.c:2633</a></div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_af5cb4d09ae9787dc1a382646589bdec7"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#af5cb4d09ae9787dc1a382646589bdec7">GetHierarchyRootPlayer</a></div><div class="ttdeci">proto native Man GetHierarchyRootPlayer()</div><div class="ttdoc">Returns root of current hierarchy cast to Man.</div></div>
<div class="ttc" id="a_hand___events_8c_html_a02917914db83b7759e19cb7450c92354"><div class="ttname"><a href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a></div><div class="ttdeci">Man m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d21/_hand___events_8c_source.html#l00042">Hand_Events.c:42</a></div></div>
<div class="ttc" id="aclass_c_game_html_a00980b6b66e736a4af85fe1a935fd25e"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">CGame::GetUIManager</a></div><div class="ttdeci">proto native UIManager GetUIManager()</div></div>
<div class="ttc" id="aclass_clothing_base_html"><div class="ttname"><a href="../../d2/d89/class_clothing_base.html">ClothingBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/db1/_burlap_sack_cover_8c_source.html#l00001">BurlapSackCover.c:2</a></div></div>
<div class="ttc" id="aclass_clothing_base_html_a276388ed431f64eb64b47d9c3141577c"><div class="ttname"><a href="../../d2/d89/class_clothing_base.html#a276388ed431f64eb64b47d9c3141577c">ClothingBase::OnRemovedFromHead</a></div><div class="ttdeci">void OnRemovedFromHead(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/db1/_burlap_sack_cover_8c_source.html#l00064">BurlapSackCover.c:64</a></div></div>
<div class="ttc" id="aclass_clothing_base_html_a304a909c4579f77069673dedeb93d59e"><div class="ttname"><a href="../../d2/d89/class_clothing_base.html#a304a909c4579f77069673dedeb93d59e">ClothingBase::OnWasAttached</a></div><div class="ttdeci">override void OnWasAttached(EntityAI parent, int slot_id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/db1/_burlap_sack_cover_8c_source.html#l00013">BurlapSackCover.c:13</a></div></div>
<div class="ttc" id="aclass_clothing_base_html_a462a2cd43420b63d22e545da57d10fb9"><div class="ttname"><a href="../../d2/d89/class_clothing_base.html#a462a2cd43420b63d22e545da57d10fb9">ClothingBase::OnWasDetached</a></div><div class="ttdeci">override void OnWasDetached(EntityAI parent, int slot_id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/db1/_burlap_sack_cover_8c_source.html#l00035">BurlapSackCover.c:35</a></div></div>
<div class="ttc" id="aclass_clothing_base_html_a5605b827364c71b7fb4607735e3d8f13"><div class="ttname"><a href="../../d2/d89/class_clothing_base.html#a5605b827364c71b7fb4607735e3d8f13">ClothingBase::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/db1/_burlap_sack_cover_8c_source.html#l00003">BurlapSackCover.c:3</a></div></div>
<div class="ttc" id="aclass_clothing_base_html_a7652d1025700e9cc2ba8235dd3df7fdb"><div class="ttname"><a href="../../d2/d89/class_clothing_base.html#a7652d1025700e9cc2ba8235dd3df7fdb">ClothingBase::CanPutInCargo</a></div><div class="ttdeci">override bool CanPutInCargo(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/db1/_burlap_sack_cover_8c_source.html#l00047">BurlapSackCover.c:47</a></div></div>
<div class="ttc" id="aclass_clothing_base_html_a8269df7474eac9543d1e59c246582b35"><div class="ttname"><a href="../../d2/d89/class_clothing_base.html#a8269df7474eac9543d1e59c246582b35">ClothingBase::CanDetachAttachment</a></div><div class="ttdeci">override bool CanDetachAttachment(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/db1/_burlap_sack_cover_8c_source.html#l00057">BurlapSackCover.c:57</a></div></div>
<div class="ttc" id="aclass_clothing_base_html_ab1a649871c9f5952818e9d794a253853"><div class="ttname"><a href="../../d2/d89/class_clothing_base.html#ab1a649871c9f5952818e9d794a253853">ClothingBase::~BurlapSackCover</a></div><div class="ttdeci">void ~BurlapSackCover()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/db1/_burlap_sack_cover_8c_source.html#l00005">BurlapSackCover.c:5</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_inventory_slots_html"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html">InventorySlots</a></div><div class="ttdoc">provides access to slot configuration</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc1/_inventory_slots_8c_source.html#l00005">InventorySlots.c:6</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_u_i_manager_html_a9eec3197925c4469ac05fcc46221b4f7"><div class="ttname"><a href="../../d7/d75/class_u_i_manager.html#a9eec3197925c4469ac05fcc46221b4f7">UIManager::FindMenu</a></div><div class="ttdeci">UIScriptedMenu FindMenu(int id)</div><div class="ttdoc">Returns menu with specific ID if it is open (see MenuID)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd4/_u_i_manager_8c_source.html#l00166">UIManager.c:166</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___menu_i_d_html_gab1dbc0e819839e5664c9fd8bd8b31deb"><div class="ttname"><a href="../../d7/d7f/group___menu_i_d.html#gab1dbc0e819839e5664c9fd8bd8b31deb">MENU_INVENTORY</a></div><div class="ttdeci">const int MENU_INVENTORY</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00154">constants.c:154</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_6f364bf7113eb70d5b3db9a41d035223.html">Clothing</a></li><li class="navelem"><a class="el" href="../../d6/db1/_burlap_sack_cover_8c.html">BurlapSackCover.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
